package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务缓存对象 dxp_service_cache
 *
 * @author jy
 * @date 2023-01-06
 */
public class ServiceCache extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 共享服务id */
    @Excel(name = "共享服务id")
    private Long serviceId;

    /** 服务名称 */
    @Excel(name = "服务名称")
    private String serviceName;

    /** 数据源id */
    @Excel(name = "数据源id")
    private Long databaseId;

    /** 数据源名称 */
    @Excel(name = "数据源名称")
    private String databaseName;

    /** 表id */
    @Excel(name = "表id")
    private Long tableId;

    /** 表名 */
    @Excel(name = "表名")
    private String tableName;

    /** 同步方式：add增量，full全量 */
    @Excel(name = "同步方式：add增量，full全量")
    private String mode;

    /** 增量字段 */
    @Excel(name = "增量字段")
    private String addField;

    /** 当前页字段名 */
    @Excel(name = "当前页字段名")
    private String pageField;

    /** 页大小字段 */
    @Excel(name = "页大小字段")
    private String pageSizeField;

    /** 搜索字段 */
    @Excel(name = "搜索字段")
    private String searchField;

    /** 同步周期单位 */
    @Excel(name = "同步周期单位")
    private String cacheCycleUnit;

    /** 同步周期值 */
    @Excel(name = "同步周期值")
    private String cacheCycleValue;

    /** 必要请求参数 */
    @Excel(name = "必要请求参数")
    private String requestParam;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setServiceId(Long serviceId)
    {
        this.serviceId = serviceId;
    }

    public Long getServiceId()
    {
        return serviceId;
    }
    public void setServiceName(String serviceName)
    {
        this.serviceName = serviceName;
    }

    public String getServiceName()
    {
        return serviceName;
    }
    public void setDatabaseId(Long databaseId)
    {
        this.databaseId = databaseId;
    }

    public Long getDatabaseId()
    {
        return databaseId;
    }
    public void setDatabaseName(String databaseName)
    {
        this.databaseName = databaseName;
    }

    public String getDatabaseName()
    {
        return databaseName;
    }
    public void setTableId(Long tableId)
    {
        this.tableId = tableId;
    }

    public Long getTableId()
    {
        return tableId;
    }
    public void setTableName(String tableName)
    {
        this.tableName = tableName;
    }

    public String getTableName()
    {
        return tableName;
    }
    public void setMode(String mode)
    {
        this.mode = mode;
    }

    public String getMode()
    {
        return mode;
    }
    public void setAddField(String addField)
    {
        this.addField = addField;
    }

    public String getAddField()
    {
        return addField;
    }
    public void setPageField(String pageField)
    {
        this.pageField = pageField;
    }

    public String getPageField()
    {
        return pageField;
    }
    public void setPageSizeField(String pageSizeField)
    {
        this.pageSizeField = pageSizeField;
    }

    public String getPageSizeField()
    {
        return pageSizeField;
    }
    public void setSearchField(String searchField)
    {
        this.searchField = searchField;
    }

    public String getSearchField()
    {
        return searchField;
    }
    public void setCacheCycleUnit(String cacheCycleUnit)
    {
        this.cacheCycleUnit = cacheCycleUnit;
    }

    public String getCacheCycleUnit()
    {
        return cacheCycleUnit;
    }
    public void setCacheCycleValue(String cacheCycleValue)
    {
        this.cacheCycleValue = cacheCycleValue;
    }

    public String getCacheCycleValue()
    {
        return cacheCycleValue;
    }
    public void setRequestParam(String requestParam)
    {
        this.requestParam = requestParam;
    }

    public String getRequestParam()
    {
        return requestParam;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("serviceId", getServiceId())
                .append("serviceName", getServiceName())
                .append("databaseId", getDatabaseId())
                .append("databaseName", getDatabaseName())
                .append("tableId", getTableId())
                .append("tableName", getTableName())
                .append("mode", getMode())
                .append("addField", getAddField())
                .append("pageField", getPageField())
                .append("pageSizeField", getPageSizeField())
                .append("searchField", getSearchField())
                .append("cacheCycleUnit", getCacheCycleUnit())
                .append("cacheCycleValue", getCacheCycleValue())
                .append("requestParam", getRequestParam())
                .append("remark", getRemark())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
